Bug 1571329 - [DOCS][RFE] OCP host preparation page does not doesn't mention prerequisites.yml ansible playook
Summary: [DOCS][RFE] OCP host preparation page does not doesn't mention prerequisites...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: Johnny Liu
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 14:23 UTC by Joel Rosental R.
Modified: 2018-06-15 15:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-15 15:23:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Joel Rosental R. 2018-04-24 14:23:39 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.9/install_config/install/host_preparation.html

Section Number and Name: 
https://docs.openshift.com/container-platform/3.9/install_config/install/host_preparation.html#installing-base-packages - Installing Base Packages


https://docs.openshift.com/container-platform/3.9/install_config/install/host_preparation.html#configuring-docker-storage - Configuring Docker Storage

Describe the issue: 
It may create some confusion due the fact users checking https://docs.openshift.com/container-platform/3.9/install_config/install/host_preparation.html may not be aware that there is a new playbook (/usr/share/ansible/openshift-ansible/playbooks/prerequisites.yml) that can help them with some pre-requisites such as installing base packages and docker storage configuration once they have a working inventory file.

Suggestions for improvement: 
It should at least be called out that you can wait until you have created an inventory at which point the steps can be automated.

Additional information: 

[0]: https://bugzilla.redhat.com/show_bug.cgi?id=1558248
[1]: https://github.com/openshift/openshift-docs/pull/8205

Comment 2 Ashley Hardin 2018-05-29 20:14:14 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/9646

Joel, Please review. Thanks!

Comment 3 Johnny Liu 2018-06-06 01:55:33 UTC
I do not think prerequisites.yml could help do Docker Storage Configuration like what is describe in doc.

Comment 6 Ashley Hardin 2018-06-11 19:41:24 UTC
Thank you! This is now updated: 
https://github.com/openshift/openshift-docs/pull/9646

Comment 7 Johnny Liu 2018-06-12 01:36:58 UTC
LGTM.

Comment 8 openshift-github-bot 2018-06-12 13:18:00 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/dd73da4e94ae380070228cfb4347847f2dbd74f5
Bug 1571329, noted prerequisites.yml

https://github.com/openshift/openshift-docs/commit/87c4ffaab14932e390dfb40ae30d32289e3afb9c
Merge pull request #9646 from ahardin-rh/prereq-playbook

Bug 1571329, noted prerequisites.yml


Note You need to log in before you can comment on or make changes to this bug.